#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem python_distutils

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build *.egg-info _trial_temp

override_dh_install:
	rm -rf $(CURDIR)/debian/python-messaging/usr/lib/*/dist-packages/messaging/test
	dh_install

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -ex; for python in $(shell pyversions -r) ; do \
		$$python /usr/bin/nosetests; \
	done
endif
